# Uses of Class
org.apache.avro.idl.IdlParser.UnionTypeContext

## Uses of IdlParser.UnionTypeContext in org.apache.avro.idl

Methods in org.apache.avro.idl that return IdlParser.UnionTypeContext
Modifier and Type
Method
Description
`IdlParser.UnionTypeContext`
IdlParser.PlainTypeContext.`unionType()`
`final IdlParser.UnionTypeContext`
IdlParser.`unionType()`
Methods in org.apache.avro.idl with parameters of type IdlParser.UnionTypeContext
Modifier and Type
Method
Description
`void`
IdlBaseListener.`enterUnionType(IdlParser.UnionTypeContext ctx)`
Enter a parse tree produced by `IdlParser.unionType()`.
`void`
IdlListener.`enterUnionType(IdlParser.UnionTypeContext ctx)`
Enter a parse tree produced by `IdlParser.unionType()`.
`void`
IdlBaseListener.`exitUnionType(IdlParser.UnionTypeContext ctx)`
Exit a parse tree produced by `IdlParser.unionType()`.
`void`
IdlListener.`exitUnionType(IdlParser.UnionTypeContext ctx)`
Exit a parse tree produced by `IdlParser.unionType()`.